vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 1
声望: 0

现在的是6.3.15版本,会报4097错误。
我直接把 6.3.16 的c++文件覆盖之后,虽然能连接显示账号数据,但是行情显示不了。
一步一步debug发现在 gateway 里调用了 self.subscribeMarketData() 方法之后就没有反应了,
应该还是直接覆盖的问题,
有人编译过 6.3.16的版本吗?

Administrator
avatar
加入于:
帖子: 3840
声望: 202

6.3.16是穿透式测试版本的接口,试试覆盖ctptest_gateway文件夹中的dll吧

Member
avatar
加入于:
帖子: 21
声望: 0

用ctptest的6.3.13可以接入6.3.16的

Member
加入于:
帖子: 22
声望: 0

人称仲哥 wrote:

用ctptest的6.3.13可以接入6.3.16的
遇到了同样的问题,请问具体操作方式是什么?
把6.3.16对应的thostmduserapi_se.dll和thosttraderapi_se.dll文件覆盖ctptest_gateway文件夹下的对应dll文件,然后直接连接ctptest就可以嘛?
我这边覆盖完了还是连不上,没有任何反应。。。求分享

Member
avatar
加入于:
帖子: 3
声望: 0

期待新版本

Member
avatar
加入于:
帖子: 21
声望: 0

曼曼 wrote:

人称仲哥 wrote:

用ctptest的6.3.13可以接入6.3.16的
遇到了同样的问题,请问具体操作方式是什么?
把6.3.16对应的thostmduserapi_se.dll和thosttraderapi_se.dll文件覆盖ctptest_gateway文件夹下的对应dll文件,然后直接连接ctptest就可以嘛?
我这边覆盖完了还是连不上,没有任何反应。。。求分享

也没什么其他操作,就是直接连接上了。我看大家挺多连不上的,那可能是期货公司文件跟我说他们测试柜台用的是6.3.16,但是有可能其实还是6.3.13吧,我穿透测试用的是瑞达期货和国贸期货

Administrator
avatar
加入于:
帖子: 3840
声望: 202

DEV分支已经升级到6.3.16,有需要可以自己先在GITHUB下载拉取下

Member
avatar
加入于:
帖子: 2
声望: 0

用Python的交易员 wrote:

DEV分支已经升级到6.3.16,有需要可以自己先在GITHUB下载拉取下

Member
avatar
加入于:
帖子: 2
声望: 0

我拉取后使用找不到ctp接口

Administrator
avatar
加入于:
帖子: 3840
声望: 202

现在2.0.9发布版本的CtptestGateway就是6.3.16

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3